LibreOffice: HierarchyFolderContent Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
HierarchyFolderContent Service Referencepublished

A HCP Folder is a container for other HCP Folders and HCP Links. More...

`import"HierarchyFolderContent.idl";`

Inheritance diagram for HierarchyFolderContent:

## Exported Interfaces
interface | com::sun::star::lang::XComponent
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::ucb::XContent
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::ucb::XCommandProcessor
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::ucb::XCommandProcessor2
| is an enhanced version of XCommandProcessor that has an additional method for releasing command identifiers obtained via XCommandProcessor::createCommandIdentifier() to avoid resource leaks. More...
interface | com::sun::star::beans::XPropertiesChangeNotifier
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::beans::XPropertyContainer
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::beans::XPropertySetInfoChangeNotifier
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::ucb::XCommandInfoChangeNotifier
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::container::XChild
| This interface is implemented according to the specification of service Content. More...
interface | com::sun::star::ucb::XContentCreator
| This interface is implemented according to the specification of service Content. More...

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XContent
com::sun::star::ucb::XContentIdentifier | getIdentifier ()
| returns the identifier of the content. More...
string | getContentType ()
| returns a type string, which is unique for that type of content (e.g. More...
void | addContentEventListener ([in] com::sun::star::ucb::XContentEventListener Listener)
| adds a listener for content events. More...
void | removeContentEventListener ([in] com::sun::star::ucb::XContentEventListener Listener)
| removes a listener for content events. More...
Public Member Functions inherited from XCommandProcessor
long | createCommandIdentifier ()
| creates a unique identifier for a command. More...
any | execute ([in] Command aCommand, [in] long CommandId, [in] XCommandEnvironment Environment) raises ( com::sun::star::uno::Exception, CommandAbortedException )
| executes a command. More...
void | abort ([in] long CommandId)
| ends the command associated with the given id. More...
Public Member Functions inherited from XPropertiesChangeNotifier
void | addPropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| adds an XPropertiesChangeListener to the specified properties with the specified names. More...
void | removePropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| removes an XPropertiesChangeListener from the listener list. More...
Public Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Public Member Functions inherited from XPropertySetInfoChangeNotifier
void | addPropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| registers a listener for PropertySetInfoChangeEvents. More...
void | removePropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| removes a listener for PropertySetInfoChangeEvents. More...
Public Member Functions inherited from XCommandInfoChangeNotifier
void | addCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| registers a listener for CommandInfoChangeEvents. More...
void | removeCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| removes a listener for CommandInfoChangeEvents. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XContentCreator
sequence< com::sun::star::ucb::ContentInfo > | queryCreatableContentsInfo ()
| returns a list with information about the creatable contents. More...
com::sun::star::ucb::XContent | createNewContent ([in] com::sun::star::ucb::ContentInfo Info)
| creates a new content of given type. More...
Protected Member Functions inherited from XCommandProcessor2
void | releaseCommandIdentifier ([in] long CommandId)
| releases a command identifier obtained through XCommandProcessor::createCommandIdentifier() when it is no longer used. More...
Protected Member Functions inherited from XPropertiesChangeNotifier
void | addPropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| adds an XPropertiesChangeListener to the specified properties with the specified names. More...
void | removePropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| removes an XPropertiesChangeListener from the listener list. More...
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Protected Member Functions inherited from XPropertySetInfoChangeNotifier
void | addPropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| registers a listener for PropertySetInfoChangeEvents. More...
void | removePropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| removes a listener for PropertySetInfoChangeEvents. More...
Protected Member Functions inherited from XCommandInfoChangeNotifier
void | addCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| registers a listener for CommandInfoChangeEvents. More...
void | removeCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| removes a listener for CommandInfoChangeEvents. More...
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Protected Member Functions inherited from XContentCreator
sequence< com::sun::star::ucb::ContentInfo > | queryCreatableContentsInfo ()
| returns a list with information about the creatable contents. More...
com::sun::star::ucb::XContent | createNewContent ([in] com::sun::star::ucb::ContentInfo Info)
| creates a new content of given type. More...

## Detailed Description

A HCP Folder is a container for other HCP Folders and HCP Links.

See also
  com::sun::star::ucb::HierarchyContentProvider
  com::sun::star::ucb::HierarchyRootFolderContent
  com::sun::star::ucb::HierarchyLinkContent

## Exported Interfaces

interface com::sun::star::beans::XPropertiesChangeNotifier

This interface is implemented according to the specification of service Content.

interface com::sun::star::beans::XPropertyContainer

This interface is implemented according to the specification of service Content.

interface com::sun::star::beans::XPropertySetInfoChangeNotifier

This interface is implemented according to the specification of service Content.

interface com::sun::star::container::XChild

This interface is implemented according to the specification of service Content.

interface com::sun::star::lang::XComponent

This interface is implemented according to the specification of service Content.

interface com::sun::star::ucb::XCommandInfoChangeNotifier

This interface is implemented according to the specification of service Content.

interface com::sun::star::ucb::XCommandProcessor

This interface is implemented according to the specification of service Content.

Supported Commands

- getCommandInfo
- getPropertySetInfo
- getPropertyValues
- setPropertyValues
- insert ( makes a newly created folder persistent )
- delete
- open
- transfer ( only transfers from one hierarchy folder to another supported )

Supported Properties

- string ContentType ( read-only, always "application/vnd.sun.star.hier-folder" )
- boolean IsDocument ( read-only, always false )
- boolean IsFolder ( read-only, always true )
- string Title

interface com::sun::star::ucb::XCommandProcessor2
| optional

is an enhanced version of XCommandProcessor that has an additional method for releasing command identifiers obtained via XCommandProcessor::createCommandIdentifier() to avoid resource leaks.

For a detailed description of the problem refer to XCommandProcessor2::releaseCommandIdentifier().

Where many existing Content implementations do not (yet), every new implementation should support this interface.

interface com::sun::star::ucb::XContent

This interface is implemented according to the specification of service Content.

interface com::sun::star::ucb::XContentCreator

This interface is implemented according to the specification of service Content.

A HCP Folder can create other HCP Folders and HCP Links. To create a new child of a HCP Folder:

1. Let the parent folder create a new content by calling XContentCreator::createNewContent() on it. The content type to use for new folders is "application/vnd.sun.star.hier-folder". To create a new link, use the type "application/vnd.sun.star.hier-link".
2. Set a title at the new folder / link. ( Let the new child execute the command "setPropertyValues", which sets at least the property "Title" to a non-empty value ). For a link, you need to set the property "TargetURL" as well to a non-empty value.
3. Let the new child ( not the parent! ) execute the command "insert". This will commit the creation process.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/HierarchyFolderContent.idl